package com.khmer9.kdmain.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.gdtlib.lib.adapter.BaseListAdapter
import com.khmer9.kdmain.R
import com.khmer9.kdmain.screen.report.depositStatement.ReportDepositViewHolder

class DepositStatementAdapter : BaseListAdapter() {
    var printButtonListener: ((String, String, String, String, String, String) -> Unit)? = null

    //use the same layout from the withdraw statement
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
        return ReportDepositViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.layout_withdraw_statement,
                parent,
                false
            ), printButtonListener
        )
    }
}